Subject: bug#62707: 30.0.50; [PATCH] Non toolkit scroll bar handle

From: Manuel Giraud <[email-masked]>
Date: Fri, 07 Apr 2023 14:56:54 +0200

Eli Zaretskii <[email-masked]> writes:

[...]

> Maybe it's distracting at times, but this is how Emacs behaves with
> all the toolkits, or at least most of them.  The size of the
> scroll-bar thumb is set according to the size of text, not according
> to the number of lines.  So I don't think we should change this for
> just one configuration.

I have tested with gtk3, athena and no toolkit.  FWIW, gtk3 seems to be
"line based".  I have attached a text file that makes it easy to see the
behaviour.
-- 
Manuel Giraud